import { KomaMoveObject } from './interface';
export default class KomaInfo {
    static komaochiTypes: Array<string>;
    static initBoards: {
        [index: string]: Array<Array<Object>>;
    };
    private static komaData;
    /**
     * 駒名の文字配列から駒番号を返す
     *
     * @param komaString: 駒の文字列
     *
     * @return Array
     */
    static komaAtoi(komaString: string): number;
    /**
     * 駒番号からその駒の略称を返す
     *
     * @param komaType
     */
    static getKanji(komaNum: number): string;
    static getJKFString(komaNum: number): string;
    static getPromote(komaNum: number): number | null;
    static getOrigin(komaNum: number): number;
    static getMoves(komaNum: number): Array<KomaMoveObject>;
    static komaItoa(komaNum: number): string;
}
