import MoveData from './moveData';
import { IPiece, IJSONKifuFormat } from 'json-kifu-format/src/Formats';
export default class JkfEditor {
    private editor;
    constructor(jkf?: IJSONKifuFormat, readonly?: boolean);
    currentNum: number;
    readonly board: IPiece[][];
    readonly reverseBoard: IPiece[][];
    readonly hands: Array<{
        [index: string]: number;
    }>;
    readonly comment: string[] | null;
    readonly isFork: boolean;
    readonly header: {
        [index: string]: string;
    };
    readonly moves: Array<MoveData>;
    readonly lastMove: MoveData;
    readonly nextMoves: Array<MoveData>;
    readonly nextSelect: number;
    readonly color: number;
    go(newNum: number): void;
    dispKifuMoves(): string;
    dispNextMoves(): string;
    dispCurrentInfo(): string;
    haveFork(num: number): boolean;
    switchFork(forkIndex: number): void;
    deleteFork(forkIndex: number): void;
    addBoardMove(fromX: number, fromY: number, toX: number, toY: number, promote?: boolean, comment?: Array<string> | string | null): void;
    addHandMove(komaString: string, toX: number, toY: number, comment?: Array<string> | string | null): void;
    deleteMove(deleteNum: number): void;
    getBoardPiece(x: number, y: number): IPiece;
    addComment(comment: string): void;
    resetComment(): void;
    getKomaMoves(fromX: number, fromY: number, reverse?: boolean): Array<Array<number>>;
    getMovables(reverse?: boolean): any[][];
    getPutables(komaString: string, reverse?: boolean): any[][];
    export(): IJSONKifuFormat;
    load(jkf: IJSONKifuFormat): void;
    addInfo(key: string, value: string): void;
    deleteInfo(key: string): void;
}
