import Pos from './pos';
import { IPiece, IMoveFormat } from 'json-kifu-format/src/Formats';
export default class Move {
    private _name;
    private _komaNum;
    private _from;
    private _to;
    private _noMove;
    private _color;
    private _captureNum;
    private _isPromote;
    private _comments;
    private _isPut;
    private _moveObj;
    constructor(moveObj: IMoveFormat);
    /**
     * 盤面に配置する際の盤面オブジェクトを返す。成る動きの場合は成り駒を返す
     */
    readonly boardObj: IPiece;
    readonly moveObj: IMoveFormat;
    readonly isPut: boolean;
    readonly from: Pos | null;
    readonly to: Pos | null;
    readonly noMove: boolean;
    readonly color: number;
    readonly komaNum: number;
    readonly name: string;
    readonly comments: Array<string> | null;
    /**
     * 取得した駒の番号を返す。その駒が成っている場合成り元の駒を返す。
     */
    readonly captureNum: number | null;
    readonly pureCaptureNum: number | null;
    /**
     * コメントを追加する
     * @param comment
     */
    addComment(comment: string): void;
    /**
     * コメントを全削除する
     */
    removeComment(): void;
    /**
     * 指し手オブジェクトから指し手の名前を返す
     * @param moveObj
     */
    private getMoveName;
}
