export default class Pos {
    private _ax;
    private _ay;
    private _kx;
    private _ky;
    /**
     * 一般的な棋譜記法における座標を初期入力とする
     *
     * @param kx 一般的な棋譜記法におけるy座標 7六歩の「7」
     * @param ky 一般的な棋譜記法におけるy座標 7六歩の「六」
     */
    constructor(kx: number, ky: number);
    /**
     * その座標が盤面の範囲内か調べる
     *
     * @param kx
     * @param ky
     */
    static inRange(kx: number, ky: number): boolean;
    /**
     * 配列のインデックスからPosオブジェクトを作成する
     *
     * @param ax
     * @param ay
     */
    static makePosFromIndex(ax: number, ay: number): Pos;
    /**
     * 盤面を反転した場合の棋譜座標を返す
     */
    reverse(): Pos;
    /**
     * 盤面配列上のx座標
     */
    readonly ax: number;
    /**
     * 盤面配列上のy座標
     */
    readonly ay: number;
    /**
     * 棋譜上のx座標
     */
    readonly x: number;
    /**
     * 棋譜上のy座標
     */
    readonly y: number;
}
