import MoveNode from './model/moveNode';
import Move from './model/move';
import { IMoveFormat } from 'json-kifu-format/src/Formats';
export default class MoveList {
    private _moveNodes;
    private _currentMoveNodes;
    private _currentMoves;
    constructor(moves: Array<Object>);
    getMove(moveNum: number): Move;
    /**
     * 現在の指し手から次の指し手候補の情報を返す
     *
     * @param moveNum
     */
    getNextMoves(moveNum: number): Array<Move>;
    getNextSelect(moveNum: number): number;
    /**
     * 棋譜リストの開始点のセルを返す
     */
    readonly startNode: MoveNode | null;
    readonly currentMoves: Move[];
    /**
     * 指定指し手番号に指し手を追加する。moveNumが最新なら新規指し手の追加、そうでないなら分岐指し手の追加となる
     *
     * @param moveNum
     * @param moveObj
     */
    addMove(moveNum: number, moveObj: IMoveFormat): void;
    /**
     * 指定指し手番号の指し手を削除する。
     *
     * @param moveNum
     */
    deleteMove(moveNum: number): void;
    deleteFork(moveNum: number, forkIndex: number): void;
    /**
     * 指し手の分岐を切り替える
     *
     * @param moveNum 切り替え対象の指し手
     * @param forkIndex 切り替える指し手のインデックス
     */
    switchFork(moveNum: number, forkIndex: number): void;
    swapFork(moveNum: number, forkIndex1: number, forkIndex2: number): void;
    exportJkfMoves(startMoveNode?: MoveNode): Array<Object>;
    private makeMoveList;
    private makeMoveNode;
    private makePrimitiveMoveNode;
    private makeCurrentMoveArray;
}
